Subject: Re: [RFC/PATCH 5/14] powerpc: Fix 440/440A machine check handling

From: Olof Johansson <[email-masked]>
Date: Wed, 28 Nov 2007 15:34:45 -0600

On Thu, Nov 22, 2007 at 07:05:25AM +1100, Benjamin Herrenschmidt wrote:
> 
> On Wed, 2007-11-21 at 13:51 -0600, Josh Boyer wrote:
> > > Hrm... it's per processor, not per board. I didn't feel like digging
> > > which board uses which processor and go fixup all the ppc_md's
> > 
> > Sounds like something a generic function could probe for from the DTS.
> > I'll look at doing something here when I start making 44x
> > multiplatform
> > (soon).
> 
> Well... we already probe the CPU type.... from cputable.
> 
> So if there was a place to put that, it would be the cputable.

It could make sense to have _both_ platform (ppc_md) and cputable
functions, since some info is likely to be core-specific, other might
be board/chipset/SoC-specific.

-Olof